Subject: Re: RFC: Nagle latency tuning

From: Rick Jones <[email-masked]>
Date: Tue, 09 Sep 2008 10:54:02 -0700

>> If the applications are sending streams of logically unrelated sends  
>> down the same socket, then setting TCP_NODELAY is IMO fine.  Where  it 
>> isn't fine is where these applications are generating their  logically 
>> associated data in two or more small sends.  One send per  message 
>> good. Two sends per message bad.
> 
> 
> Can the same be said of the Linux kernel's RPC client, which uses  
> MSG_MORE and multiple sends to construct a single RPC request on a TCP  
> socket?

That drifts away from Nagle and into my (perhaps old fuddy-duddy) belief 
in minimizing the number of system/other calls to do a unit of work, and 
degrees of "badness:)"

rick jones